phpgroupware-cvs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Phpgroupware-cvs] [18523] directory creation script to make adding new


From: Dave Hall
Subject: [Phpgroupware-cvs] [18523] directory creation script to make adding new modules easier
Date: Sat, 10 May 2008 23:13:28 +0000

Revision: 18523
          
http://svn.sv.gnu.org/viewvc/?view=rev&root=phpgroupware&revision=18523
Author:   skwashd
Date:     2008-05-10 23:13:26 +0000 (Sat, 10 May 2008)

Log Message:
-----------
directory creation script to make adding new modules easier

Added Paths:
-----------
    trunk/phpgwapi/doc/new-module.sh

Added: trunk/phpgwapi/doc/new-module.sh
===================================================================
--- trunk/phpgwapi/doc/new-module.sh                            (rev 0)
+++ trunk/phpgwapi/doc/new-module.sh    2008-05-10 23:13:26 UTC (rev 18523)
@@ -0,0 +1,46 @@
+#!/bin/bash
+#
+# Create a new module directory structure in phpGroupWare and add some
+# required files.  This should make it easier for new developers to
+# create their directory structure.
+#
+# Written by Dave Hall <address@hidden>
+# Copyright (c) 2008 Free Software Foundation Inc http://fsf.org
+#
+# $Id$
+
+DIRS='doc/ setup/ templates/base/images/ inc/ tests/'
+name=$0
+
+usage()
+{
+       echo phpGroupWare module strucuture creator
+       echo \n
+       echo Usage: $0 modulename
+       echo modulename is the name of the module to be created
+       exit 1;
+}
+
+if [ $# -ne 1 ]
+then
+       usage
+fi
+
+target=$1
+if [ -d $target ]
+then
+       echo $target already exists - exiting
+       exit 1;
+fi
+
+for dir in $DIRS
+do
+       mkdir -p $target/$dir
+       echo created $target/$dir
+done
+
+echo Your PHPUnit based unit tests should go here > $target/tests/README
+echo Your classes should go here > $target/inc/README
+echo I am a lazy developer, I really should have replaced this with a real 
README file by now > $target/doc/README
+echo You should update this everytime you increment the version of your module 
> $target/doc/ChangeLog
+echo -e "TODO List for $target\n * Replace this with a real TODO list\n * Keep 
this up to date" > $target/doc/TODO


Property changes on: trunk/phpgwapi/doc/new-module.sh
___________________________________________________________________
Name: svn:executable
   + *






reply via email to

[Prev in Thread] Current Thread [Next in Thread]